Octopus Deploy Documentation

Legacy Tentacle Installation Requirements

Last updated

These are the installation requirements for Tentacles prior to Tentacle 3.1.

If you're using Tentacle 3.1 or later, refer to these installation requirements.

Windows Server

  • Windows Server 2003 SP2 (Not supported for Tentacle 3.1 and up due to .NET 4.5 dependency).
  • Windows Server 2008 (SP1 not supported for Tentacle 3.1 and up due to .NET 4.5 dependency).

.NET Framework

  • Tentacle 3.0 (TLS 1.0): .NET Framework 4.0+ (download).

Windows PowerShell

  • Windows PowerShell 2.0. This is automatically installed on 2008 R2, but for 2008 pre-R2 you'll need to install it (x86 downloadx64 download).
  • Windows PowerShell 3.0 or 4.0 is recommended, both of which are compatible with PowerShell 2.0, but execute against .NET 4.0+.
  • Windows Server 2003 servers will need Windows Management Framework installed (this includes PowerShell).

Hardware Requirements

  • Hardware minimum: 512MB RAM, 1GHz CPU, 2GB free disk space.

Tentacle uses a small amount of memory when idle, usually around 10MB (it may appear higher in task manager because memory is shared with other .NET processes that are running). When deploying, depending on what happens during the deployment, this may expand to 60-100MB, and will then go back down after the deployment is complete. Tentacle will happily run on single-core machines, and only uses about 100MB of disk space, though of course you'll need more than that to deploy your applications.

Welcome! We use cookies and data about how you use our website allow us to improve the website and your experience, and resolve technical errors. Our website uses cookies and shares some of your data with third party analytics companies for these purposes.

If you decline, we will respect your privacy. A single cookie will be used in your browser to remember your preference.